import irrthon
import game

def main():

	irr = irrthon.irr_wrapper()
	irr.setScreenSize(800,600)
	
	if(irr.initialize(False) == False):
		print "Irrthon failed to initialize. Exiting"
		exit()
	
	irr.setWindowCaption("Escape From Robot Planet")
	irr.initCamera()
	irr.setFog(0, 255, 255, 0, True, 200, 500, .1, False, False)
	#irr.setAmbientLight(128, 128, 128, 128)
	
	thegame = game.game(irr)
	thegame.loadModels()
	thegame.setUpCamera()
	
	while(irr.run()):
		irr.beginScene()
		irr.drawScene()
		irr.drawGui()
			
		# game
		thegame.updateGame()

		irr.endScene()


	print "Hello from your game's main()"

def quit():
	irr.end()
	exit()